org.hibernate.search.query.dsl

## Interface RangeMatchingContext

- All Superinterfaces:
    FieldCustomization<RangeMatchingContext>
  All Known Implementing Classes:
    ConnectedRangeMatchingContext

      public interface RangeMatchingContext
      extends FieldCustomization<RangeMatchingContext>

  Author:
    Emmanuel Bernard

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `RangeMatchingContext.FromRangeContext<T>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RangeTerminationExcludable` | `above(Object above)` The field value must be above `above` You can exclude the value `above` by calling `.excludeLimit()`
    `RangeMatchingContext` | `andField(String field)` field / property the term query is executed on
    `RangeTerminationExcludable` | `below(Object below)` The field value must be below `below` You can exclude the value `below` by calling `.excludeLimit()`
    `<T> RangeMatchingContext.FromRangeContext<T>` | `from(T from)`

    - ### Methods inherited from interface org.hibernate.search.query.dsl.FieldCustomization

      `boostedTo, ignoreAnalyzer, ignoreFieldBridge`

- - ### Method Detail

    - #### andField

          RangeMatchingContext andField(String field)

      field / property the term query is executed on
      Parameters:
        `field` - the name of the field
      Returns:
        the `RangeMatchingContext`

    - #### from

          <T> RangeMatchingContext.FromRangeContext<T> from(T from)

    - #### below

          RangeTerminationExcludable below(Object below)

      The field value must be below `below` You can exclude the value `below` by calling `.excludeLimit()`
      Parameters:
        `below` - the lower limit of the range
      Returns:
        a `RangeTerminationExcludable`

    - #### above

          RangeTerminationExcludable above(Object above)

      The field value must be above `above` You can exclude the value `above` by calling `.excludeLimit()`
      Parameters:
        `above` - the upper limit of the range
      Returns:
        a `RangeTerminationExcludable`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved